Bug 979392 - [abrt] virt-manager crash from libguestfs launch_libvirt
[abrt] virt-manager crash from libguestfs launch_libvirt
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
abrt_hash:6321f744e9ccd382de0b6e294bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 08:07 EDT by Johannes Hofmann
Modified: 2015-02-17 10:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:43:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.44 KB, text/plain)
2013-06-28 08:07 EDT, Johannes Hofmann
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-28 08:07 EDT, Johannes Hofmann
no flags Details
File: core_backtrace (3.53 KB, text/plain)
2013-06-28 08:07 EDT, Johannes Hofmann
no flags Details
File: dso_list (24.19 KB, text/plain)
2013-06-28 08:07 EDT, Johannes Hofmann
no flags Details
File: environ (2.32 KB, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: maps (112.25 KB, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: open_fds (1.50 KB, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: proc_pid_status (979 bytes, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: var_log_messages (450 bytes, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details
File: xsession_errors (749 bytes, text/plain)
2013-06-28 08:08 EDT, Johannes Hofmann
no flags Details

  None (edit)
Description Johannes Hofmann 2013-06-28 08:07:33 EDT
Description of problem:
virt-manager crashes after about 15 seconds

Version-Release number of selected component:
virt-manager-0.10.0-0.5.gitde1695b2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager
crash_function: launch_libvirt
executable:     /usr/bin/python2.7
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 launch_libvirt at launch-libvirt.c:153
 #7 guestfs__launch at launch.c:88
 #8 guestfs_launch at actions-3.c:142
 #9 py_guestfs_launch at guestfs-py.c:2352
 #10 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #11 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #12 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
 #13 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #14 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #15 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
Comment 1 Johannes Hofmann 2013-06-28 08:07:39 EDT
Created attachment 766538 [details]
File: backtrace
Comment 2 Johannes Hofmann 2013-06-28 08:07:43 EDT
Created attachment 766539 [details]
File: cgroup
Comment 3 Johannes Hofmann 2013-06-28 08:07:48 EDT
Created attachment 766540 [details]
File: core_backtrace
Comment 4 Johannes Hofmann 2013-06-28 08:07:55 EDT
Created attachment 766541 [details]
File: dso_list
Comment 5 Johannes Hofmann 2013-06-28 08:08:00 EDT
Created attachment 766542 [details]
File: environ
Comment 6 Johannes Hofmann 2013-06-28 08:08:05 EDT
Created attachment 766543 [details]
File: limits
Comment 7 Johannes Hofmann 2013-06-28 08:08:11 EDT
Created attachment 766544 [details]
File: maps
Comment 8 Johannes Hofmann 2013-06-28 08:08:16 EDT
Created attachment 766545 [details]
File: open_fds
Comment 9 Johannes Hofmann 2013-06-28 08:08:20 EDT
Created attachment 766546 [details]
File: proc_pid_status
Comment 10 Johannes Hofmann 2013-06-28 08:08:25 EDT
Created attachment 766547 [details]
File: var_log_messages
Comment 11 Johannes Hofmann 2013-06-28 08:08:30 EDT
Created attachment 766548 [details]
File: xsession_errors
Comment 12 Cole Robinson 2013-06-28 10:52:48 EDT
What libguestfs version is this?
Comment 13 Johannes Hofmann 2013-06-28 11:01:52 EDT
libguestfs-1.22.2-1.fc19.x86_64 is installed
Comment 14 Johannes Hofmann 2013-06-28 11:10:18 EDT
Until this morning akmod-nvidia was installed. have had this issue before but then it was a known problem. also want to mention that i did a fedup from fedora 18 and not a installation using isntall iso.
Comment 15 Richard W.M. Jones 2013-06-28 11:23:15 EDT
Do you have the version of libvirt that you've got installed there?
Weirdly although the crash certainly happens in libguestfs, it's
a crash freeing a pointer returned by libvirt.  Whatever that means ...

BTW as a workaround you can set:

export LIBGUESTFS_BACKEND=direct

which avoids running libvirt.
Comment 16 Johannes Hofmann 2013-06-28 12:27:15 EDT
Actually i want to use libvirt in combo with virt-mananger.
I'm going to delete the whole libvirt config and start fresh.
maybe its because of configs of fedora 18.
please feel free to close this bugreport.
Comment 17 Richard W.M. Jones 2013-06-28 13:02:45 EDT
(In reply to Johannes Hofmann from comment #16)
> Actually i want to use libvirt in combo with virt-mananger.
> I'm going to delete the whole libvirt config and start fresh.
> maybe its because of configs of fedora 18.
> please feel free to close this bugreport.

Setting LIBGUESTFS_BACKEND=direct doesn't disable libvirt,
it just stops libguestfs from using libvirt, avoiding the
code path which is causing this crash.

I believe this is a real bug, although I cannot reproduce it
here (but I'm using slightly newer packages from Rawhide).
Therefore I would prefer to leave this bug open.
Comment 18 Johannes Hofmann 2013-06-30 10:13:54 EDT
Found problem. did set selinux boolean virt_use_rawip to enable.
Now i can use virt-manager again.
Comment 19 Fedora End Of Life 2015-01-09 13:34:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-17 10:43:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.